:: ***********************************************************************
::                                                                      **
::                  I N T E L ( MWG ) P R O P R I E T A R Y          	**
::                                                                      **
::     COPYRIGHT (c)  2012 BY  INTEL  CORPORATION.  ALL RIGHTS          **
::     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      **
::     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    **
::     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    **
::     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    **
::     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    **
::     THE PRIOR WRITTEN PERMISSION OF INTEL  CORPORATION.              **
::                                                                      **
:: ***********************************************************************

:: ***********************************************************************
:: File: JfP_ThP_ssdisable.cmd
::
:: Description: Launch JfP_ThP_ssdisable.ps1
:: 
:: ***********************************************************************

@echo off

: Check For Admin permissions
net session >nul 2>&1
IF NOT %ErrorLevel% == 0 (GOTO AdminRequired)

powershell.exe Set-Executionpolicy Unrestricted 2>nul

IF [%1]==[] GOTO Default

powershell.exe .\JfP_ThP_ssdisable.ps1 -Trace "'%*'"
goto end

:Default
powershell.exe .\JfP_ThP_ssdisable.ps1
goto end

:AdminRequired
ECHO Admin permissions required..exiting!
GOTO END

:END